Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1427164 - [abrt] xfce4-terminal: rawmemchr(): xfce4-terminal killed by SIGSEGV
Summary: [abrt] xfce4-terminal: rawmemchr(): xfce4-terminal killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-terminal
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f0763952dc2547ee69bf2195d65...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-27 13:55 UTC by Pierre Ossman
Modified: 2017-06-09 18:57 UTC (History)
5 users (show)

Fixed In Version: xfce4-terminal-0.8.5.1-1.fc25 xfce4-terminal-0.8.5.1-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-24 05:01:37 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (23.79 KB, text/plain)
2017-02-27 13:55 UTC, Pierre Ossman
no flags Details
File: cgroup (240 bytes, text/plain)
2017-02-27 13:55 UTC, Pierre Ossman
no flags Details
File: core_backtrace (4.41 KB, text/plain)
2017-02-27 13:55 UTC, Pierre Ossman
no flags Details
File: dso_list (8.57 KB, text/plain)
2017-02-27 13:55 UTC, Pierre Ossman
no flags Details
File: environ (2.11 KB, text/plain)
2017-02-27 13:55 UTC, Pierre Ossman
no flags Details
File: exploitable (82 bytes, text/plain)
2017-02-27 13:55 UTC, Pierre Ossman
no flags Details
File: limits (1.29 KB, text/plain)
2017-02-27 13:55 UTC, Pierre Ossman
no flags Details
File: maps (37.93 KB, text/plain)
2017-02-27 13:55 UTC, Pierre Ossman
no flags Details
File: mountinfo (11.56 KB, text/plain)
2017-02-27 13:55 UTC, Pierre Ossman
no flags Details
File: namespaces (102 bytes, text/plain)
2017-02-27 13:55 UTC, Pierre Ossman
no flags Details
File: open_fds (536 bytes, text/plain)
2017-02-27 13:55 UTC, Pierre Ossman
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2017-02-27 13:55 UTC, Pierre Ossman
no flags Details
File: var_log_messages (540 bytes, text/plain)
2017-02-27 13:55 UTC, Pierre Ossman
no flags Details

Description Pierre Ossman 2017-02-27 13:55:33 UTC
Description of problem:
Tried to start the application on a fresh login of Xfce in ThinLinc

Version-Release number of selected component:
xfce4-terminal-0.8.4-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /bin/xfce4-terminal
crash_function: rawmemchr
executable:     /usr/bin/xfce4-terminal
global_pid:     12311
kernel:         4.9.11-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            500

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 rawmemchr at ../sysdeps/x86_64/rawmemchr.S:37
 #1 _IO_str_init_static_internal at strops.c:41
 #2 __isoc99_vsscanf at isoc99_vsscanf.c:41
 #3 __isoc99_sscanf at isoc99_sscanf.c:31
 #4 epoxy_glx_version at dispatch_glx.c:60
 #5 gdk_x11_screen_init_gl at gdkglcontext-x11.c:866
 #6 _gdk_x11_screen_update_visuals_for_gl at gdkglcontext-x11.c:1210
 #7 _gdk_x11_screen_init_visuals at gdkvisual-x11.c:309
 #8 _gdk_x11_screen_new at gdkscreen-x11.c:908
 #9 _gdk_x11_display_open at gdkdisplay-x11.c:1416

Comment 1 Pierre Ossman 2017-02-27 13:55:38 UTC
Created attachment 1258068 [details]
File: backtrace

Comment 2 Pierre Ossman 2017-02-27 13:55:39 UTC
Created attachment 1258069 [details]
File: cgroup

Comment 3 Pierre Ossman 2017-02-27 13:55:41 UTC
Created attachment 1258070 [details]
File: core_backtrace

Comment 4 Pierre Ossman 2017-02-27 13:55:42 UTC
Created attachment 1258071 [details]
File: dso_list

Comment 5 Pierre Ossman 2017-02-27 13:55:43 UTC
Created attachment 1258072 [details]
File: environ

Comment 6 Pierre Ossman 2017-02-27 13:55:45 UTC
Created attachment 1258073 [details]
File: exploitable

Comment 7 Pierre Ossman 2017-02-27 13:55:46 UTC
Created attachment 1258074 [details]
File: limits

Comment 8 Pierre Ossman 2017-02-27 13:55:48 UTC
Created attachment 1258075 [details]
File: maps

Comment 9 Pierre Ossman 2017-02-27 13:55:49 UTC
Created attachment 1258076 [details]
File: mountinfo

Comment 10 Pierre Ossman 2017-02-27 13:55:51 UTC
Created attachment 1258077 [details]
File: namespaces

Comment 11 Pierre Ossman 2017-02-27 13:55:52 UTC
Created attachment 1258078 [details]
File: open_fds

Comment 12 Pierre Ossman 2017-02-27 13:55:53 UTC
Created attachment 1258079 [details]
File: proc_pid_status

Comment 13 Pierre Ossman 2017-02-27 13:55:55 UTC
Created attachment 1258080 [details]
File: var_log_messages

Comment 14 Pierre Ossman 2017-02-27 14:01:39 UTC
See also bug 1427166 and bug 1427167.

Cause may be lack of GLX:

> $ glxinfo
> name of display: :2
> Error: couldn't find RGB GLX visual or fbconfig

Investigating the cause of that, but either way Xfce shouldn't crash when GLX is missing.

Comment 15 Igor 2017-02-28 10:52:42 UTC
(In reply to Pierre Ossman from comment #14)
> See also bug 1427166 and bug 1427167.
> 
> Cause may be lack of GLX:
> 
> > $ glxinfo
> > name of display: :2
> > Error: couldn't find RGB GLX visual or fbconfig
> 
> Investigating the cause of that, but either way Xfce shouldn't crash when
> GLX is missing.

This looks like something is wrong with your system. I'd suspect that not only Xfce apps are crashing; in fact, nm-applet (bug 1427167) is not part of Xfce.

Comment 16 Pierre Ossman 2017-02-28 11:37:46 UTC
To some extent, yes. But hardly from misconfiguration. It's bug 1427174 that's the underlying issue.

Still, things shouldn't crash. But given the different set of applications this might be a GTK+ bug rather than an application bug.

Comment 17 Igor 2017-02-28 12:59:31 UTC
(In reply to Pierre Ossman from comment #16)
> To some extent, yes. But hardly from misconfiguration. It's bug 1427174
> that's the underlying issue.

Oh, this is a good one.

> Still, things shouldn't crash. But given the different set of applications
> this might be a GTK+ bug rather than an application bug.

Yep, it's not related to apps since all crashes have similar traces leading to GDK internals. The root cause should be somewhere in GDK or in lower layers.

Comment 18 Fedora Update System 2017-05-14 21:31:47 UTC
xfce4-terminal-0.8.5.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3d226f0c56

Comment 19 Fedora Update System 2017-05-14 21:32:10 UTC
xfce4-terminal-0.8.5.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-00f84706bf

Comment 20 Fedora Update System 2017-05-15 20:36:13 UTC
xfce4-terminal-0.8.5.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3d226f0c56

Comment 21 Fedora Update System 2017-05-15 22:04:40 UTC
xfce4-terminal-0.8.5.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-00f84706bf

Comment 22 Fedora Update System 2017-05-24 05:01:37 UTC
xfce4-terminal-0.8.5.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2017-06-09 18:57:22 UTC
xfce4-terminal-0.8.5.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.